---
updatedAt: 2025-06-04T21:28:12.000Z
agentTools:
  projectIndex: https://developer.simpplr.com/llms.txt
---

# Search for Page Categories

This search API is used to retrieve all page categories based on the specified 'site-id' and 'sort- by' (either 'createdNewest' or 'createdOldest') provided in the request body. Additionally, we have an additional parameter, 'term' which contains the name of the page category

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "simpplr-api-gateway",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.ec.simpplr.com/api"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "oauth2",
        "flows": {}
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/contents/page-categories": {
      "post": {
        "summary": "Search for Page Categories",
        "description": "This search API is used to retrieve all page categories based on the specified 'site-id' and 'sort- by' (either 'createdNewest' or 'createdOldest') provided in the request body. Additionally, we have an additional parameter, 'term' which contains the name of the page category",
        "operationId": "search-page-categories",
        "parameters": [
          {
            "name": "x-user-email",
            "in": "header",
            "description": "User's email to login into Salesforce",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "size": {
                    "type": "integer",
                    "description": "Maximum number of results to return",
                    "default": 16,
                    "format": "int32"
                  },
                  "sort-by": {
                    "type": "string",
                    "description": "Technique to sort the results by",
                    "default": "createdNewest",
                    "enum": [
                      "createdNewest",
                      "createdOldest"
                    ]
                  },
                  "site-id": {
                    "type": "string",
                    "description": "ID of a Site that resulting Content must belong to",
                    "default": "a1A5e000001wQdXEAU"
                  },
                  "term": {
                    "type": "string",
                    "description": "Which category the content belongs to"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"status\": \"success\",\n    \"result\": {\n        \"nextPageToken\": 1,\n        \"listOfItems\": [\n            {\n                \"usefulContent\": {\n                    \"hasUserRated\": false,\n                    \"canViewHistory\": true\n                },\n                \"url\": \"https://ajay-hada-dev-ed--c.visualforce.com/apex/app?u=/site/a1A5e000001wQdXEAU/event/a185e000000FNfqAAG\",\n                \"type\": \"Event\",\n                \"title\": \"New Event For Content\",\n                \"timezoneOffset\": 19800000,\n                \"timezoneName\": \"India Standard Time\",\n                \"timezoneIso\": \"Asia/Kolkata\",\n                \"status\": \"published\",\n                \"startsAt\": \"2020-03-05T13:30:00.000+0530\",\n                \"site\": {\n                    \"url\": \"https://ajay-hada-dev-ed--c.visualforce.com/apex/app?u=/site/a1A5e000001wQdXEAU/dashboard\",\n                    \"title\": \"Test API Site arun\",\n                    \"siteId\": \"a1A5e000001wQdXEAU\",\n                    \"name\": \"Test API Site arun\",\n                    \"isPublic\": true,\n                    \"isPrivate\": false,\n                    \"isMember\": true,\n                    \"isManager\": false,\n                    \"isListed\": true,\n                    \"isContentManager\": false,\n                    \"isActive\": true,\n                    \"chatterGroupId\": \"0F95e00000068XECAY\",\n                    \"access\": \"Public\"\n                },\n                \"publishTo\": \"\",\n                \"publishAt\": \"2020-12-15T13:30:00.000+0530\",\n                \"modifiedAt\": \"2021-09-07T10:24:06.000+0530\",\n                \"listOfTopAlbumImages\": [],\n                \"listOfInlineVideos\": [],\n                \"listOfInlineImages\": [],\n                \"listOfFiles\": [],\n                \"likeCount\": 0,\n                \"isTypeActive\": true,\n                \"isScheduled\": false,\n                \"isPublished\": true,\n                \"isMustRead\": false,\n                \"isMultiDay\": true,\n                \"isLiked\": false,\n                \"isInSiteCarousel\": false,\n                \"isInHomeCarousel\": false,\n                \"isFavorited\": false,\n                \"isDeleted\": false,\n                \"isAllDay\": true,\n                \"id\": \"a185e000000FNfqAAG\",\n                \"hasRead\": false,\n                \"favoriteContext\": \"Event\",\n                \"excerpt\": \"this is for body.\",\n                \"endsAt\": \"2020-12-18T13:29:59.000+0530\",\n                \"editUrl\": \"https://ajay-hada-dev-ed--c.visualforce.com/apex/app?u=/site/a1A5e000001wQdXEAU/event/a185e000000FNfqAAG/edit\",\n                \"editedBy\": {},\n                \"createdAt\": \"2021-09-07T10:24:06.000+0530\",\n                \"contentId\": \"a185e000000FNfqAAG\",\n                \"canSendUpdateNotification\": true,\n                \"canPublishUnpublish\": true,\n                \"canModerate\": true,\n                \"canMakeMustRead\": true,\n                \"canEdit\": true,\n                \"canDelete\": true,\n                \"authoredBy\": {\n                    \"url\": \"https://ajay-hada-dev-ed--c.visualforce.com/apex/app?u=/people/a115e000002FFncAAG\",\n                    \"sfUserId\": \"0055e000006GG3JAAW\",\n                    \"peopleId\": \"a115e000002FFncAAG\",\n                    \"nickname\": \"User16281382456837619883\",\n                    \"name\": \"Arun Cherian\",\n                    \"location\": \"\",\n                    \"isFollowing\": false,\n                    \"isActive\": true,\n                    \"id\": \"a115e000002FFncAAG\",\n                    \"email\": \"arun.cherian@simpplr.com\",\n                    \"canFollow\": false\n                }\n            }\n        ]\n    },\n    \"responseTimeStamp\": \"1631644387436\",\n    \"message\": \"\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": "success"
                    },
                    "result": {
                      "type": "object",
                      "properties": {
                        "nextPageToken": {
                          "type": "integer",
                          "example": 1,
                          "default": 0
                        },
                        "listOfItems": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "usefulContent": {
                                "type": "object",
                                "properties": {
                                  "hasUserRated": {
                                    "type": "boolean",
                                    "example": false,
                                    "default": true
                                  },
                                  "canViewHistory": {
                                    "type": "boolean",
                                    "example": true,
                                    "default": true
                                  }
                                }
                              },
                              "url": {
                                "type": "string",
                                "example": "https://ajay-hada-dev-ed--c.visualforce.com/apex/app?u=/site/a1A5e000001wQdXEAU/event/a185e000000FNfqAAG"
                              },
                              "type": {
                                "type": "string",
                                "example": "Event"
                              },
                              "title": {
                                "type": "string",
                                "example": "New Event For Content"
                              },
                              "timezoneOffset": {
                                "type": "integer",
                                "example": 19800000,
                                "default": 0
                              },
                              "timezoneName": {
                                "type": "string",
                                "example": "India Standard Time"
                              },
                              "timezoneIso": {
                                "type": "string",
                                "example": "Asia/Kolkata"
                              },
                              "status": {
                                "type": "string",
                                "example": "published"
                              },
                              "startsAt": {
                                "type": "string",
                                "example": "2020-03-05T13:30:00.000+0530"
                              },
                              "site": {
                                "type": "object",
                                "properties": {
                                  "url": {
                                    "type": "string",
                                    "example": "https://ajay-hada-dev-ed--c.visualforce.com/apex/app?u=/site/a1A5e000001wQdXEAU/dashboard"
                                  },
                                  "title": {
                                    "type": "string",
                                    "example": "Test API Site arun"
                                  },
                                  "siteId": {
                                    "type": "string",
                                    "example": "a1A5e000001wQdXEAU"
                                  },
                                  "name": {
                                    "type": "string",
                                    "example": "Test API Site arun"
                                  },
                                  "isPublic": {
                                    "type": "boolean",
                                    "example": true,
                                    "default": true
                                  },
                                  "isPrivate": {
                                    "type": "boolean",
                                    "example": false,
                                    "default": true
                                  },
                                  "isMember": {
                                    "type": "boolean",
                                    "example": true,
                                    "default": true
                                  },
                                  "isManager": {
                                    "type": "boolean",
                                    "example": false,
                                    "default": true
                                  },
                                  "isListed": {
                                    "type": "boolean",
                                    "example": true,
                                    "default": true
                                  },
                                  "isContentManager": {
                                    "type": "boolean",
                                    "example": false,
                                    "default": true
                                  },
                                  "isActive": {
                                    "type": "boolean",
                                    "example": true,
                                    "default": true
                                  },
                                  "chatterGroupId": {
                                    "type": "string",
                                    "example": "0F95e00000068XECAY"
                                  },
                                  "access": {
                                    "type": "string",
                                    "example": "Public"
                                  }
                                }
                              },
                              "publishTo": {
                                "type": "string",
                                "example": ""
                              },
                              "publishAt": {
                                "type": "string",
                                "example": "2020-12-15T13:30:00.000+0530"
                              },
                              "modifiedAt": {
                                "type": "string",
                                "example": "2021-09-07T10:24:06.000+0530"
                              },
                              "listOfTopAlbumImages": {
                                "type": "array"
                              },
                              "listOfInlineVideos": {
                                "type": "array"
                              },
                              "listOfInlineImages": {
                                "type": "array"
                              },
                              "listOfFiles": {
                                "type": "array"
                              },
                              "likeCount": {
                                "type": "integer",
                                "example": 0,
                                "default": 0
                              },
                              "isTypeActive": {
                                "type": "boolean",
                                "example": true,
                                "default": true
                              },
                              "isScheduled": {
                                "type": "boolean",
                                "example": false,
                                "default": true
                              },
                              "isPublished": {
                                "type": "boolean",
                                "example": true,
                                "default": true
                              },
                              "isMustRead": {
                                "type": "boolean",
                                "example": false,
                                "default": true
                              },
                              "isMultiDay": {
                                "type": "boolean",
                                "example": true,
                                "default": true
                              },
                              "isLiked": {
                                "type": "boolean",
                                "example": false,
                                "default": true
                              },
                              "isInSiteCarousel": {
                                "type": "boolean",
                                "example": false,
                                "default": true
                              },
                              "isInHomeCarousel": {
                                "type": "boolean",
                                "example": false,
                                "default": true
                              },
                              "isFavorited": {
                                "type": "boolean",
                                "example": false,
                                "default": true
                              },
                              "isDeleted": {
                                "type": "boolean",
                                "example": false,
                                "default": true
                              },
                              "isAllDay": {
                                "type": "boolean",
                                "example": true,
                                "default": true
                              },
                              "id": {
                                "type": "string",
                                "example": "a185e000000FNfqAAG"
                              },
                              "hasRead": {
                                "type": "boolean",
                                "example": false,
                                "default": true
                              },
                              "favoriteContext": {
                                "type": "string",
                                "example": "Event"
                              },
                              "excerpt": {
                                "type": "string",
                                "example": "this is for body."
                              },
                              "endsAt": {
                                "type": "string",
                                "example": "2020-12-18T13:29:59.000+0530"
                              },
                              "editUrl": {
                                "type": "string",
                                "example": "https://ajay-hada-dev-ed--c.visualforce.com/apex/app?u=/site/a1A5e000001wQdXEAU/event/a185e000000FNfqAAG/edit"
                              },
                              "editedBy": {
                                "type": "object",
                                "properties": {}
                              },
                              "createdAt": {
                                "type": "string",
                                "example": "2021-09-07T10:24:06.000+0530"
                              },
                              "contentId": {
                                "type": "string",
                                "example": "a185e000000FNfqAAG"
                              },
                              "canSendUpdateNotification": {
                                "type": "boolean",
                                "example": true,
                                "default": true
                              },
                              "canPublishUnpublish": {
                                "type": "boolean",
                                "example": true,
                                "default": true
                              },
                              "canModerate": {
                                "type": "boolean",
                                "example": true,
                                "default": true
                              },
                              "canMakeMustRead": {
                                "type": "boolean",
                                "example": true,
                                "default": true
                              },
                              "canEdit": {
                                "type": "boolean",
                                "example": true,
                                "default": true
                              },
                              "canDelete": {
                                "type": "boolean",
                                "example": true,
                                "default": true
                              },
                              "authoredBy": {
                                "type": "object",
                                "properties": {
                                  "url": {
                                    "type": "string",
                                    "example": "https://ajay-hada-dev-ed--c.visualforce.com/apex/app?u=/people/a115e000002FFncAAG"
                                  },
                                  "sfUserId": {
                                    "type": "string",
                                    "example": "0055e000006GG3JAAW"
                                  },
                                  "peopleId": {
                                    "type": "string",
                                    "example": "a115e000002FFncAAG"
                                  },
                                  "nickname": {
                                    "type": "string",
                                    "example": "User16281382456837619883"
                                  },
                                  "name": {
                                    "type": "string",
                                    "example": "Arun Cherian"
                                  },
                                  "location": {
                                    "type": "string",
                                    "example": ""
                                  },
                                  "isFollowing": {
                                    "type": "boolean",
                                    "example": false,
                                    "default": true
                                  },
                                  "isActive": {
                                    "type": "boolean",
                                    "example": true,
                                    "default": true
                                  },
                                  "id": {
                                    "type": "string",
                                    "example": "a115e000002FFncAAG"
                                  },
                                  "email": {
                                    "type": "string",
                                    "example": "arun.cherian@simpplr.com"
                                  },
                                  "canFollow": {
                                    "type": "boolean",
                                    "example": false,
                                    "default": true
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    },
                    "responseTimeStamp": {
                      "type": "string",
                      "example": "1631644387436"
                    },
                    "message": {
                      "type": "string",
                      "example": ""
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "401",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"status\": \"error\",\n    \"message\": \"SESSION_TIMEOUT\",\n    \"i18nmessage\": \"SESSION_TIMEOUT\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": "error"
                    },
                    "message": {
                      "type": "string",
                      "example": "SESSION_TIMEOUT"
                    },
                    "i18nmessage": {
                      "type": "string",
                      "example": "SESSION_TIMEOUT"
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```